sidmd5 Class Reference

`#include <sidmd5.h>`

## Public Member Functions

void | append (const void *data, int nbytes)
void | finish ()
void | reset ()
std::string | getDigest ()

## Detailed Description

A wrapper around the md5 implementation that provides an hex formatted digest

## Member Function Documentation

## append()

void sidmd5::append | ( | const void * | data,
|  | int | nbytes
| ) |  |

inline

Append a string to the message.

## finish()

void sidmd5::finish | ( |  | ) |

inline

Finish the message.

## getDigest()

std::string sidmd5::getDigest | ( |  | ) |

inline

Return pointer to 32-byte hex fingerprint.

## reset()

void sidmd5::reset | ( |  | ) |

inline

Initialize the algorithm. Reset starting values.

The documentation for this class was generated from the following file:

- sidmd5.h